## ros-melodic-jsk-tf2-py-python3 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_tf2_py_python3)

set(Python_ADDITIONAL_VERSIONS 3.6;3.7;3.8) ## https://stackoverflow.com/questions/29245558/how-to-link-with-python3-libs-with-cmake
find_package(PythonInterp 3 REQUIRED) ## tf_python3 :: use Python3 by default
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy tf2)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


find_package(PythonLibs 3 REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH} ${catkin_INCLUDE_DIRS})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tf2_py
  CATKIN_DEPENDS rospy tf2
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(tf2_py
#   src/${PROJECT_NAME}/tf2_py.cpp
# )

## Declare a cpp executable
# add_executable(tf2_py_node src/tf2_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(tf2_py_node tf2_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(tf2_py_node
#   ${catkin_LIBRARIES}
# )


# Check for SSE
#!!! rosbuild_check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.

link_libraries(${PYTHON_LIBRARIES})
add_library(${PROJECT_NAME} src/tf2_py.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

if(WIN32)
  # use .pyd extension on Windows
  set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "_tf2" SUFFIX ".pyd")
else()
  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
  set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")
endif()
#!! rosbuild_add_compile_flags(tf2_py ${SSE_FLAGS}) #conditionally adds sse flags if available


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tf2_py tf2_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

## tf_pytyhon3 :: re-set PROJECT_NAME to tf
set(PROJECT_NAME tf2_py)
## tf_pytyhon3 :: re-set CATKIN_PACKAGE_PYTHON_DESTINATION with PROJECT_NAME as tf
set(CATKIN_PACKAGE_PYTHON_DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages/${PROJECT_NAME})

set_target_properties(jsk_tf2_py_python3 PROPERTIES
  ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

install(FILES $<TARGET_FILE:jsk_tf2_py_python3>
  DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tf2_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-jsk-tf2-py-python3 (0.6.9-2bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jun 2022 07:51:41 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.7-2bionic) bionic; urgency=high

  * [Windows][melodic-devel] Fix install locations (#442 <https://github.com/ros/geometry2/issues/442>)
  * Contributors: Sean Yen

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2020 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.6-2bionic) bionic; urgency=high

  * use .pyd instead of .so on Windows and export symbols #363 <https://github.com/ros/geometry2/issues/363> from kejxu/fix_tf2_py_export
  * limit MSVC-only change to MSVC scope (#10 <https://github.com/ros/geometry2/issues/10>)
  * Fix the pyd extension and export the init function.
  * use windows counterpart for .so extension
  * Contributors: James Xu, Sean Yen, Tully Foote

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 08 Jan 2020 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.5-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 15 Nov 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.4-2bionic) bionic; urgency=high

  * fix translation vs rotation typo
    Fixes #324 <https://github.com/ros/geometry2/issues/324>
  * Add python3.7 compatibility.
  * Contributors: Hans Gaiser, Tully Foote

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 Nov 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.3-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Jul 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.2-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 May 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.1-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Mar 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.6.0-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Mar 2018 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.17-2bionic) bionic; urgency=high

  * Merge pull request #266 <https://github.com/ros/geometry2/issues/266> from randoms/indigo-devel
    fix METH_OLDARGS is no longer supported error in python3
  * Merge pull request #260 <https://github.com/ros/geometry2/issues/260> from randoms/indigo-devel
    fix python3 import error
  * Merge pull request #257 <https://github.com/ros/geometry2/issues/257> from delftrobotics-forks/python3
    Make tf2_py python3 compatible again
  * Use string conversion from python_compat.h.
  * Contributors: Maarten de Vries, Tully Foote, randoms

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 Dec 2017 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.16-2bionic) bionic; urgency=high

  * fix memory leak calling Py_DECREF for all created PyObject
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Relax strict type checks at setTransform to only check for members (#221 <https://github.com/ros/geometry2/issues/221>)
  * expose deprecated methods in tf2_py API to support better backwards compatibility. Fixes #206 <https://github.com/ros/geometry2/issues/206>
  * Contributors: Christopher Wecht, Sergio Ramos, Tully Foote, alex

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 13 Jul 2017 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.15-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Jan 2017 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.14-2bionic) bionic; urgency=high

  * Improve tf compatibility (#192 <https://github.com/ros/geometry2/issues/192>)
    getLatestCommonTime() is needed to implement the TF API.
    See ros/geometry#134 <https://github.com/ros/geometry/issues/134>
  * Add missing type checks at Python/C++ tf2 transform interface #159 <https://github.com/ros/geometry2/issues/159> (#197 <https://github.com/ros/geometry2/issues/197>)
  * Make tf2_py compatible with python3. (#173 <https://github.com/ros/geometry2/issues/173>)
    * tf2_py: Use PyUnicode objects for text in python3.
    * tf2_py: Make module initialization python3 compatible.
    * tf2_py: Fix type definition for python3.
    * tf2_py: Move and rename PyObject_BorrowAttrString.
  * Contributors: Maarten de Vries, Timo Röhling, alex

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 15 Jan 2017 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.13-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 03 Mar 2016 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.12-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Aug 2015 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.11-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Apr 2015 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.10-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Apr 2015 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.9-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Mar 2015 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.8-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Mar 2015 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.7-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Dec 2014 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.6-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 17 Sep 2014 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.5-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Jun 2014 15:00:00 -0000

ros-melodic-jsk-tf2-py-python3 (0.5.4-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 May 2014 15:00:00 -0000



=== debian/control ===
Source: ros-melodic-jsk-tf2-py-python3
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg-modules, ros-melodic-catkin, ros-melodic-rospy, ros-melodic-tf2
Homepage: https://github.com/jsk-ros-pkg/geometry2_python3
Standards-Version: 3.9.2

Package: ros-melodic-jsk-tf2-py-python3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg-modules, ros-melodic-rospy, ros-melodic-tf2
Description: The tf2_py package for python3 compatibility in melodic environment.
 Supported by ROS community.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jsk-tf2-py-python3//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
